
_Data_Tamer_Alarm:
;Data_Timer_Alarm.mbas,9 :: 		sub prosedure Data_Tamer_Alarm (dim row,column as byte)
;Data_Timer_Alarm.mbas,11 :: 		I2C1_Start ()            ' Issue I2C start signal
	CALL        _I2C1_Start+0, 0
;Data_Timer_Alarm.mbas,12 :: 		I2C1_Wr($A0)           ' Send byte via I2C(command to pcf8583)
	MOVLW       160
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Data_Timer_Alarm.mbas,13 :: 		I2C1_Wr($02)
	MOVLW       2
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Data_Timer_Alarm.mbas,14 :: 		I2C1_Stop()              ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
;Data_Timer_Alarm.mbas,16 :: 		Delay_100ms()
	CALL        _Delay_100ms+0, 0
;Data_Timer_Alarm.mbas,18 :: 		I2C1_Start()             ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;Data_Timer_Alarm.mbas,20 :: 		I2C1_Wr($A1)
	MOVLW       161
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Data_Timer_Alarm.mbas,21 :: 		date1 = I2C1_Rd(0)
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        0, 0 
	MOVWF       _date1+0 
;Data_Timer_Alarm.mbas,22 :: 		date2 = I2C1_Rd(0)
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        0, 0 
	MOVWF       _date2+0 
;Data_Timer_Alarm.mbas,23 :: 		I2C1_Stop()
	CALL        _I2C1_Stop+0, 0
;Data_Timer_Alarm.mbas,24 :: 		day = date1 and %00111111
	MOVLW       63
	ANDWF       _date1+0, 0 
	MOVWF       _day+0 
;Data_Timer_Alarm.mbas,25 :: 		sec = Bcd2Dec16(date1)
	MOVF        _date1+0, 0 
	MOVWF       FARG_Bcd2Dec16_bcd_num+0 
	MOVLW       0
	MOVWF       FARG_Bcd2Dec16_bcd_num+1 
	CALL        _Bcd2Dec16+0, 0
	MOVF        0, 0 
	MOVWF       _sec+0 
;Data_Timer_Alarm.mbas,26 :: 		min = Bcd2Dec16(date1)
	MOVF        _date1+0, 0 
	MOVWF       FARG_Bcd2Dec16_bcd_num+0 
	MOVLW       0
	MOVWF       FARG_Bcd2Dec16_bcd_num+1 
	CALL        _Bcd2Dec16+0, 0
	MOVF        0, 0 
	MOVWF       _min+0 
;Data_Timer_Alarm.mbas,29 :: 		WordToStr(day, data_text)
	MOVF        _day+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVLW       0
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _data_text+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_data_text+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;Data_Timer_Alarm.mbas,30 :: 		Lcd_Out(row, column, data_text)
	MOVF        FARG_Data_Tamer_Alarm_row+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVF        FARG_Data_Tamer_Alarm_column+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _data_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_data_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	RETURN      0
; end of _Data_Tamer_Alarm

_Data_Clock:
;Data_Timer_Alarm.mbas,32 :: 		sub prosedure Data_Clock (dim row,column as byte)
;Data_Timer_Alarm.mbas,33 :: 		data_text  = "00:00:00"
	MOVLW       _data_text+0
	MOVWF       4065 
	MOVLW       hi_addr(_data_text+0)
	MOVWF       4066 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       58
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       58
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
;Data_Timer_Alarm.mbas,35 :: 		I2C1_Start ()            ' Issue I2C start signal
	CALL        _I2C1_Start+0, 0
;Data_Timer_Alarm.mbas,36 :: 		I2C1_Wr($A0)           ' Send byte via I2C(command to pcf8583)
	MOVLW       160
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Data_Timer_Alarm.mbas,37 :: 		I2C1_Wr($02)
	MOVLW       2
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Data_Timer_Alarm.mbas,38 :: 		I2C1_Stop()              ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
;Data_Timer_Alarm.mbas,39 :: 		Delay_100ms()
	CALL        _Delay_100ms+0, 0
;Data_Timer_Alarm.mbas,40 :: 		I2C1_Repeated_Start ()
	CALL        _I2C1_Repeated_Start+0, 0
;Data_Timer_Alarm.mbas,41 :: 		I2C1_Wr($A1)
	MOVLW       161
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Data_Timer_Alarm.mbas,42 :: 		sec = I2C1_Rd(1)
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        0, 0 
	MOVWF       _sec+0 
;Data_Timer_Alarm.mbas,43 :: 		min = I2C1_Rd(1)
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        0, 0 
	MOVWF       _min+0 
;Data_Timer_Alarm.mbas,44 :: 		hours =   I2C1_Rd(1)
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        0, 0 
	MOVWF       _hours+0 
;Data_Timer_Alarm.mbas,45 :: 		I2C1_Rd(0)
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
;Data_Timer_Alarm.mbas,46 :: 		I2C1_Stop()
	CALL        _I2C1_Stop+0, 0
;Data_Timer_Alarm.mbas,48 :: 		sec  =  ((sec and 0xF0) >> 4)*10 + (sec and 0x0F)
	MOVLW       240
	ANDWF       _sec+0, 0 
	MOVWF       2 
	MOVF        2, 0 
	MOVWF       0 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	MOVLW       10
	MULWF       0 
	MOVF        PRODL+0, 0 
	MOVWF       0 
	MOVLW       15
	ANDWF       _sec+0, 0 
	MOVWF       1 
	MOVF        1, 0 
	ADDWF       0, 0 
	MOVWF       _sec+0 
;Data_Timer_Alarm.mbas,49 :: 		min  =  ((min and 0xF0) >> 4)*10 + (min and 0x0F)
	MOVLW       240
	ANDWF       _min+0, 0 
	MOVWF       2 
	MOVF        2, 0 
	MOVWF       0 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	MOVLW       10
	MULWF       0 
	MOVF        PRODL+0, 0 
	MOVWF       0 
	MOVLW       15
	ANDWF       _min+0, 0 
	MOVWF       1 
	MOVF        1, 0 
	ADDWF       0, 0 
	MOVWF       _min+0 
;Data_Timer_Alarm.mbas,50 :: 		hours   =  ((hours and 0xF0) >> 4)*10 + (hours and 0x0F)
	MOVLW       240
	ANDWF       _hours+0, 0 
	MOVWF       2 
	MOVF        2, 0 
	MOVWF       0 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	RRCF        0, 1 
	BCF         0, 7 
	MOVLW       10
	MULWF       0 
	MOVF        PRODL+0, 0 
	MOVWF       0 
	MOVLW       15
	ANDWF       _hours+0, 0 
	MOVWF       1 
	MOVF        1, 0 
	ADDWF       0, 1 
	MOVF        0, 0 
	MOVWF       _hours+0 
;Data_Timer_Alarm.mbas,51 :: 		ByteToStr(hours, clock)
	MOVF        0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _clock+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_clock+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;Data_Timer_Alarm.mbas,52 :: 		Lcd_Out(row, column, clock)
	MOVF        FARG_Data_Clock_row+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVF        FARG_Data_Clock_column+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _clock+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_clock+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Data_Timer_Alarm.mbas,53 :: 		Lcd_Out(row, column+3, ":")
	MOVF        FARG_Data_Clock_row+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       3
	ADDWF       FARG_Data_Clock_column+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       58
	MOVWF       _Data_Clock_Local_Text+0 
	CLRF        _Data_Clock_Local_Text+1 
	MOVLW       _Data_Clock_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_Data_Clock_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Data_Timer_Alarm.mbas,54 :: 		ByteToStr(min, clock)
	MOVF        _min+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _clock+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_clock+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;Data_Timer_Alarm.mbas,55 :: 		Lcd_Out(row, column+3, clock)
	MOVF        FARG_Data_Clock_row+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       3
	ADDWF       FARG_Data_Clock_column+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _clock+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_clock+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Data_Timer_Alarm.mbas,56 :: 		Lcd_Out(row, column+5, ":")
	MOVF        FARG_Data_Clock_row+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	ADDWF       FARG_Data_Clock_column+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       58
	MOVWF       _Data_Clock_Local_Text+0 
	CLRF        _Data_Clock_Local_Text+1 
	MOVLW       _Data_Clock_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_Data_Clock_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Data_Timer_Alarm.mbas,57 :: 		ByteToStr(sec, clock)
	MOVF        _sec+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _clock+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_clock+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;Data_Timer_Alarm.mbas,58 :: 		Lcd_Out(row, column+6, clock)
	MOVF        FARG_Data_Clock_row+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       6
	ADDWF       FARG_Data_Clock_column+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _clock+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_clock+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	RETURN      0
; end of _Data_Clock
