
_Data_temperature:
;Data_gauge.mbas,9 :: 		sub function Data_temperature( dim i as byte ) as word
;Data_gauge.mbas,11 :: 		Ow_Reset(PORTA, i)                ' Onewire reset signal
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;Data_gauge.mbas,12 :: 		Ow_Write(PORTA, i, 0xCC)          ' Issue command SKIP_ROM
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;Data_gauge.mbas,13 :: 		Ow_Write(PORTA, i, 0x44)          ' Issue command CONVERT_T
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       68
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;Data_gauge.mbas,14 :: 		Delay_ms(100)
	MOVLW       130
	MOVWF       12, 0
	MOVLW       221
	MOVWF       13, 0
L__Data_temperature1:
	DECFSZ      13, 1, 0
	BRA         L__Data_temperature1
	DECFSZ      12, 1, 0
	BRA         L__Data_temperature1
	NOP
	NOP
;Data_gauge.mbas,15 :: 		Ow_Reset(PORTA, i)
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;Data_gauge.mbas,16 :: 		Ow_Write(PORTA, i, 0xCC)          ' Issue command SKIP_ROM
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;Data_gauge.mbas,17 :: 		Ow_Write(PORTA, i, 0xBE)          ' Issue command READ_SCRATCHPAD
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       190
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;Data_gauge.mbas,18 :: 		result =  Ow_Read(PORTA, i)
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        0, 0 
	MOVWF       Data_temperature_local_result+0 
	MOVLW       0
	MOVWF       Data_temperature_local_result+1 
;Data_gauge.mbas,19 :: 		result = (Ow_Read(PORTA, i) << 8) + result
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        0, 0 
	MOVWF       3 
	MOVLW       0
	MOVWF       4 
	MOVF        3, 0 
	MOVWF       1 
	CLRF        0 
	MOVF        0, 0 
	ADDWF       Data_temperature_local_result+0, 1 
	MOVF        1, 0 
	ADDWFC      Data_temperature_local_result+1, 1 
	MOVF        Data_temperature_local_result+0, 0 
	MOVWF       0 
	MOVF        Data_temperature_local_result+1, 0 
	MOVWF       1 
	RETURN      0
; end of _Data_temperature

_Data_humidity:
;Data_gauge.mbas,21 :: 		sub function Data_humidity( dim i as byte ) as word
;Data_gauge.mbas,23 :: 		result = Adc_Read(i)          '   0- 
	MOVF        FARG_Data_humidity_i+0, 0 
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        0, 0 
	MOVWF       Data_humidity_local_result+0 
	MOVF        1, 0 
	MOVWF       Data_humidity_local_result+1 
;Data_gauge.mbas,25 :: 		result = (result - 205)/6
	MOVLW       205
	SUBWF       Data_humidity_local_result+0, 0 
	MOVWF       0 
	MOVLW       0
	SUBWFB      Data_humidity_local_result+1, 0 
	MOVWF       1 
	MOVLW       6
	MOVWF       4 
	MOVLW       0
	MOVWF       5 
	CALL        _Div_16x16_U+0, 0
	MOVF        0, 0 
	MOVWF       Data_humidity_local_result+0 
	MOVF        1, 0 
	MOVWF       Data_humidity_local_result+1 
	MOVF        Data_humidity_local_result+0, 0 
	MOVWF       0 
	MOVF        Data_humidity_local_result+1, 0 
	MOVWF       1 
	RETURN      0
; end of _Data_humidity
